Next Previous Contents

## 3.63 free

> Function

>   Free a block of dynamic memory.

> Header

>   `stdlib.h`

> Declaration

>   `void __fastcall__ free (void* block);`

> Description

>   Free a block of dynamic memory previously allocated with `malloc`, `calloc` or `realloc`. As an exception, if the passed pointer is `NULL`, no action is performed.

> Limits

>   - Passing an already free'd block to `free` again will cause undefined behaviour and may crash your program.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   _heapadd, _heapblocksize, _heapmaxavail, _heapmemavail, calloc, malloc, realloc

> Example

>   None.

Next Previous Contents